export interface RequestPayloadData {
    output: Record<string, any>;
    queryParams?: Record<string, any>;
}
export declare class RequestData {
    token?: string;
    session?: string;
    data?: RequestPayloadData;
    navigation?: string[];
    nextStep?: string;
    image?: unknown;
    private static _instance;
    getData: <T>(key: string) => T | null;
    getImage: () => unknown;
    setImage: (value: unknown) => void;
    static TODO(): RequestData;
}
