"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestData = void 0;
class RequestData {
    constructor() {
        this.data = { output: {}, queryParams: {} };
        this.getData = (key) => {
            var _a;
            const output = (_a = this.data) === null || _a === void 0 ? void 0 : _a.output;
            if (output === undefined || output === null || !(key in output)) {
                return null;
            }
            return output[key];
        };
        this.getImage = () => {
            return this.image;
        };
        this.setImage = (value) => {
            this.image = value;
        };
    }
    static TODO() {
        if (!RequestData._instance) {
            RequestData._instance = new RequestData();
        }
        RequestData._instance.data = { output: {}, queryParams: {} };
        return RequestData._instance;
    }
}
exports.RequestData = RequestData;
RequestData._instance = null;
