import ViewStep from "../server/graph/ViewStep";
import { Response, Connection } from "../api";
import ClientSessionStorage from "./contract/ClientSessionStorage";
import HttpClient from "./contract/HttpClient";
export default class ClientNavigation {
    httpClient: HttpClient;
    sessionStorage: ClientSessionStorage;
    responseBuffer: Response;
    navigationHistory: string[];
    private clearNavigationHistory;
    private addStepTONavigationHistory;
    private backInNavigationHistory;
    hasBackNavigation(): void;
    constructor(httpClient: HttpClient, sessionStorage: ClientSessionStorage);
    private isObjectEmpty;
    getElementByKey(obj: Record<string, any>, key: string): any | undefined;
    buildResponseFromJSON(json: string): Response;
    private fetchMiddleend;
    navigate(connection: Connection, data: any, fetchingCallback: (isFetching: boolean) => {}, image?: File | Blob): Promise<ViewStep>;
    navigateBack(): Promise<ViewStep>;
}
