"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataProxy = void 0;
class DataProxy {
    constructor() {
        this.data = {};
    }
    putData(key, value) {
        this.data = Object.assign(Object.assign({}, this.data), { [key]: value });
    }
    getData(key) {
        const data = this.data[key];
        if (data === undefined || data === null || !(key in this.data)) {
            return null;
        }
        return data;
    }
    static TODO() {
        if (!DataProxy._instance) {
            DataProxy._instance = new DataProxy();
        }
        DataProxy._instance.data = {};
        return DataProxy._instance;
    }
}
exports.DataProxy = DataProxy;
DataProxy._instance = null;
