import SessionData from "../contrat/SessionData";
import { Component } from '../../api/contract/Component';
import { StepProxy } from './StepProxy';
import { DataProxy } from './DataProxy';
import { RequestData } from '../../api/contract/RequestData';
export declare class Context {
    requestData: RequestData;
    data: object;
    component?: Component[];
    stepProxy?: StepProxy;
    dataProxy: DataProxy;
    session: SessionData;
    constructor(request: RequestData);
    getDataFromOutput<T>(key: string): T | null;
    getDataFromQueryParam<T>(key: string): T | null;
    getDataFromSession: <T>(key: string) => T | null;
    setDataInSession: <T>(key: string, value: T) => void;
    removeDataInSession: (key: string) => void;
    getDataFromContext: <T>(key: string) => T | null;
    setDataInContext: <T>(key: string, value: T) => void;
    setImage(value: unknown): void;
    getImage(): unknown;
}
