import { Connection } from "../../api";
import { Context } from "../context/index";
import Node from "./Node";
import Step from "./Step";
export type TemplateCondition = (context: Context) => boolean;
export default class Bifurcation extends Node {
    condition: TemplateCondition;
    continueConnection: Connection;
    navigate(stepId: string): Node | null;
    execute(context: Context): Promise<Step | null>;
    getNexStepConnection(context: Context): Connection;
}
