import { TemplateCondition } from "./Bifurcation";
import Node from "./Node";
import { Connection } from "../../api/contract/Connection";
export default class Graph extends Node {
    protected graph: Record<string, Node>;
    private addNodeToGraph;
    private checkIfNodeExistInGraph;
    private checkIfNodeExistInAnyChildGraph;
    private addNodeToGraphIfNotExist;
    private addConnectionInNodeGraph;
    nexFrom(nodeFrom: Node, nodeTo: Node, forceSync?: boolean): void;
    linkFrom(nodeFrom: Node, nodeTo: Node, linkId: string, forceSync?: boolean): void;
    bifurcationFrom(nodeFrom: Node, nodeOnTrue: Node, nodeOnFalse: Node, condition: TemplateCondition, forceSync?: boolean): void;
    getNexStepConnection(): Connection;
    navigate(stepId: string): Node | null;
}
