import { Connection } from "../../api";
import { Context } from "../context/index";
import Step from "./Step";
export default abstract class Node {
    id: string;
    connections: Record<string, Connection>;
    addOrRemplaceConnection(connection: Connection): void;
    getNexStepConnection(context: Context): Connection;
    navigate(stepId: string): Node | null;
    execute(context: Context): Promise<Step | null>;
}
