import Graph from "../graph/Graph";
import Node from "../graph/Node";
import SessionClient from "../contrat/SessionClient";
import Step from "../graph/Step";
import { Context } from "../context";
import { Response } from "../../api";
export declare class Version extends Graph {
    private response;
    private sessionClient;
    constructor(sessionClient: SessionClient);
    addStepToResponse(viewStep: Step, responseGraph: Node[]): void;
    versionNavigation(context: Context): Promise<[string, Node[]]>;
    generateResultObject(responseGraph: Node[]): {
        [key: string]: Step;
    };
    versionPostNavigate(context: Context): Promise<Response>;
    versionPutNavigate(context: Context): Promise<Response>;
}
