"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LayoutTypes = exports.TextSize = exports.Position = exports.GravityValue = exports.Spacing = void 0;
class Spacing {
    constructor() {
        this.top = 1;
        this.left = 1;
        this.right = 1;
        this.bottom = 1;
    }
}
exports.Spacing = Spacing;
var GravityValue;
(function (GravityValue) {
    GravityValue["LEFT"] = "left";
    GravityValue["RIGHT"] = "right";
    GravityValue["CENTER"] = "center";
})(GravityValue || (exports.GravityValue = GravityValue = {}));
var Position;
(function (Position) {
    Position["BOOTON"] = "botton";
    Position["TOP"] = "top";
    Position["CENTER"] = "center";
})(Position || (exports.Position = Position = {}));
var TextSize;
(function (TextSize) {
    TextSize[TextSize["SMALL"] = 1] = "SMALL";
    TextSize[TextSize["MEDIUM"] = 2] = "MEDIUM";
    TextSize[TextSize["BIG"] = 3] = "BIG";
    TextSize[TextSize["BIG_X"] = 4] = "BIG_X";
    TextSize[TextSize["BIG_XX"] = 5] = "BIG_XX";
    TextSize[TextSize["BIG_XXX"] = 6] = "BIG_XXX";
})(TextSize || (exports.TextSize = TextSize = {}));
var LayoutTypes;
(function (LayoutTypes) {
    LayoutTypes["SCROLLING"] = "scrolling";
    LayoutTypes["THREEPART"] = "threePart";
})(LayoutTypes || (exports.LayoutTypes = LayoutTypes = {}));
