"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = void 0;
const style_1 = require("./style");
const style_2 = require("../style");
const Component_1 = require("../../../../api/contract/Component");
class Text extends Component_1.Component {
    constructor() {
        super(...arguments);
        this.uiType = "text";
        this.text = "";
        this.textType = style_1.TextType.NORMAL;
        this.color = "#000000";
        this.gravity = style_2.GravityValue.LEFT;
        this.truncate = false;
        this.backgroundColor = "#ffffff";
        this.size = style_2.TextSize.MEDIUM;
        this.spacing = {
            top: 5,
            left: 5,
            right: 5,
            bottom: 5,
        };
    }
}
exports.Text = Text;
