"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepProxy = void 0;
class StepProxy {
    constructor() {
        this.visualComponents = [];
        this.observerEvents = [];
        this.header = null;
    }
    addComponent(component) {
        this.visualComponents = [...this.visualComponents, component];
    }
    clearComponents() {
        this.visualComponents = [];
    }
    addObserverEvent(observerEvent) {
        this.observerEvents = [...this.observerEvents, observerEvent];
    }
    clearObserverEvent() {
        this.observerEvents = [];
    }
    addHeader(component) {
        this.header = component;
    }
    clearHeader() {
        this.header = null;
    }
}
exports.StepProxy = StepProxy;
