import { Context } from "../context/index";
import Step from "./Step";
import Action from "./Action";
import { Component } from '../../api/contract/Component';
import { StepEvent } from "lib/api";
import { ObserverEvent } from "lib/ui";
export default class ViewStep extends Step {
    uiType: string;
    components?: Component[];
    data?: object;
    stepObserverEvents?: ObserverEvent[];
    stepPostableEvents?: StepEvent[];
    backGroundColor?: string;
    header?: Component | null;
    navigation?: Component;
    constructor(id: string);
    beforeAction?: typeof Action;
    builderAction?: typeof Action;
    afterAction?: typeof Action;
    execute(context: Context): Promise<Step | null>;
    render(viewStep: ViewStep, nav: () => void): any;
}
